> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/getaccount.md).

# GET /account

Returns the account's information including API keys, signing keys and positions.

`GET https://api.aevo.xyz/account`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/account \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Account information.

| Field                | Type           | Required | Description                                                                                                                   |
| -------------------- | -------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------- |
| `account`            | string         | Yes      | Account's Ethereum address. Example: `0xE9b3a48d15BE316A8e34FAd53fFDFDddf0C3D24b`                                             |
| `username`           | string         | Yes      | Account's auto-generated username based on their Ethereum address. Example: `officially-evolved-terrier`                      |
| `equity`             | string         | Yes      | Account's equity. Example: `12.23`                                                                                            |
| `available_balance`  | string         | Yes      | Available balance. Example: `12.23`                                                                                           |
| `available_margin`   | string         | Yes      | Available margin. Example: `12.23`                                                                                            |
| `balance`            | string         | Yes      | Balance. Example: `12.23`                                                                                                     |
| `signing_keys`       | array\[object] | No       |                                                                                                                               |
| `collaterals`        | array\[object] | No       |                                                                                                                               |
| `api_keys`           | array\[object] | No       |                                                                                                                               |
| `positions`          | array\[object] | No       |                                                                                                                               |
| `account_type`       | string         | Yes      | Account type. Example: `STANDARD`                                                                                             |
| `fee_structures`     | array\[object] | No       |                                                                                                                               |
| `campaign_sign_ups`  | array\[string] | Yes      | Array of campaigns that account has signed up for. Example: `[campaign_1 campaign_2]` Example: `['campaign_1', 'campaign_2']` |
| `portfolio`          | boolean        | Yes      | Portfolio margin. Example: `false`                                                                                            |
| `in_liquidation`     | boolean        | Yes      | True if an account is in liquidation mode. Example: `false` Example: `False`                                                  |
| `initial_margin`     | string         | Yes      | Margin required to keep an open order. Example: `12.23`                                                                       |
| `maintenance_margin` | string         | Yes      | Maintenance margin. Example: `12.23`                                                                                          |
| `email_address`      | string         | Yes      | Email address of an account. Example: `timothy@ribbon.finance`                                                                |
| `intercom_hash`      | string         | Yes      | Intercom hash used to verify user identity for intercom messages Example: `nwiaenainhiw`                                      |
| `credit`             | string         | Yes      | Credits in USDC Example: `100.00`                                                                                             |
| `credited`           | boolean        | Yes      | Whether account has been credited using the automatic credit system Example: `true` Example: `True`                           |
| `has_been_referred`  | boolean        | Yes      | Whether account has been referred by another account Example: `true` Example: `True`                                          |
| `referrer`           | string         | Yes      | Referrer of a referee Example: `0xE9b3a48d15BE316A8e34FAd53fFDFDddf0C3D24b`                                                   |
| `leverages`          | array\[object] | No       |                                                                                                                               |
| `in_adl`             | array\[object] | No       |                                                                                                                               |
| `manual_mode`        | boolean        | Yes      | Manual withdrawal flag Example: `false` Example: `False`                                                                      |
| `manual_withdrawals` | array\[object] | No       |                                                                                                                               |
| `network_addresses`  | array\[object] | No       |                                                                                                                               |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
